#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wnd_browse_themes.ui'
**
** Created: Fri May 26 08:54:27 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wnd_browse_themes.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qheader.h>
#include <klistview.h>
#include <qlabel.h>
#include <kurllabel.h>
#include <qtextedit.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"
#include "kurllabel.h"

/*
 *  Constructs a wndbrowser as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
wndbrowser::wndbrowser( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "wndbrowser" );
    setSizeGripEnabled( TRUE );
    wndbrowserLayout = new QVBoxLayout( this, 11, 6, "wndbrowserLayout"); 

    tabWidget = new QTabWidget( this, "tabWidget" );

    Widget8 = new QWidget( tabWidget, "Widget8" );
    Widget8Layout = new QHBoxLayout( Widget8, 11, 6, "Widget8Layout"); 

    groupBox4 = new QGroupBox( Widget8, "groupBox4" );
    groupBox4->setColumnLayout(0, Qt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new QVBoxLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( Qt::AlignTop );

    filter = new QComboBox( FALSE, groupBox4, "filter" );
    filter->setEditable( TRUE );
    groupBox4Layout->addWidget( filter );

    themelist = new KListView( groupBox4, "themelist" );
    themelist->addColumn( tr2i18n( "Updated" ) );
    themelist->addColumn( tr2i18n( "Type" ) );
    themelist->addColumn( tr2i18n( "Name" ) );
    themelist->setMinimumSize( QSize( 260, 0 ) );
    themelist->setResizePolicy( KListView::AutoOne );
    themelist->setAllColumnsShowFocus( TRUE );
    themelist->setShowSortIndicator( FALSE );
    themelist->setResizeMode( KListView::AllColumns );
    themelist->setFullWidth( FALSE );
    groupBox4Layout->addWidget( themelist );
    Widget8Layout->addWidget( groupBox4 );

    layout13 = new QVBoxLayout( 0, 0, 6, "layout13"); 

    groupBox5 = new QGroupBox( Widget8, "groupBox5" );
    groupBox5->setColumnLayout(0, Qt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new QVBoxLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( Qt::AlignTop );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    theme_info = new QLabel( groupBox5, "theme_info" );
    layout11->addWidget( theme_info );

    theme_mail = new KURLLabel( groupBox5, "theme_mail" );
    layout11->addWidget( theme_mail );
    groupBox5Layout->addLayout( layout11 );

    theme_preview = new QLabel( groupBox5, "theme_preview" );
    theme_preview->setMinimumSize( QSize( 96, 96 ) );
    theme_preview->setMaximumSize( QSize( 500, 256 ) );
    theme_preview->setFrameShape( QLabel::StyledPanel );
    theme_preview->setFrameShadow( QLabel::Sunken );
    groupBox5Layout->addWidget( theme_preview );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    install = new QPushButton( groupBox5, "install" );
    install->setEnabled( FALSE );
    layout9->addWidget( install );

    apply = new QPushButton( groupBox5, "apply" );
    apply->setEnabled( FALSE );
    layout9->addWidget( apply );

    remove = new QPushButton( groupBox5, "remove" );
    remove->setEnabled( FALSE );
    layout9->addWidget( remove );
    groupBox5Layout->addLayout( layout9 );

    info = new QTextEdit( groupBox5, "info" );
    info->setMinimumSize( QSize( 250, 0 ) );
    info->setWordWrap( QTextEdit::WidgetWidth );
    groupBox5Layout->addWidget( info );
    layout13->addWidget( groupBox5 );

    groupBox3 = new QGroupBox( Widget8, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    update = new QPushButton( groupBox3, "update" );

    groupBox3Layout->addWidget( update, 2, 0 );

    textLabel9 = new QLabel( groupBox3, "textLabel9" );

    groupBox3Layout->addWidget( textLabel9, 0, 1 );

    textLabel7 = new QLabel( groupBox3, "textLabel7" );

    groupBox3Layout->addWidget( textLabel7, 1, 1 );

    lastupdate = new QLabel( groupBox3, "lastupdate" );

    groupBox3Layout->addWidget( lastupdate, 2, 1 );

    count = new QLabel( groupBox3, "count" );

    groupBox3Layout->addWidget( count, 1, 0 );

    nuovi = new QLabel( groupBox3, "nuovi" );

    groupBox3Layout->addWidget( nuovi, 0, 0 );
    layout13->addWidget( groupBox3 );
    Widget8Layout->addLayout( layout13 );
    tabWidget->insertTab( Widget8, QString::fromLatin1("") );

    Widget9 = new QWidget( tabWidget, "Widget9" );
    Widget9Layout = new QVBoxLayout( Widget9, 11, 6, "Widget9Layout"); 

    groupBox1 = new QGroupBox( Widget9, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    Username = new QLineEdit( groupBox1, "Username" );

    groupBox1Layout->addWidget( Username, 0, 0 );

    textLabel2 = new QLabel( groupBox1, "textLabel2" );
    textLabel2->setMinimumSize( QSize( 150, 0 ) );

    groupBox1Layout->addWidget( textLabel2, 0, 1 );

    textLabel1 = new QLabel( groupBox1, "textLabel1" );
    textLabel1->setMinimumSize( QSize( 150, 0 ) );

    groupBox1Layout->addWidget( textLabel1, 2, 1 );

    Mirror = new QComboBox( FALSE, groupBox1, "Mirror" );
    Mirror->setEditable( TRUE );

    groupBox1Layout->addWidget( Mirror, 2, 0 );

    Password = new QLineEdit( groupBox1, "Password" );
    Password->setEnabled( FALSE );

    groupBox1Layout->addWidget( Password, 1, 0 );

    textLabel3 = new QLabel( groupBox1, "textLabel3" );
    textLabel3->setMinimumSize( QSize( 150, 0 ) );

    groupBox1Layout->addWidget( textLabel3, 1, 1 );
    Widget9Layout->addWidget( groupBox1 );

    groupBox2 = new QGroupBox( Widget9, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QHBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    lineEdit3 = new QLineEdit( groupBox2, "lineEdit3" );
    lineEdit3->setEnabled( FALSE );
    groupBox2Layout->addWidget( lineEdit3 );

    textLabel4 = new QLabel( groupBox2, "textLabel4" );
    textLabel4->setMinimumSize( QSize( 150, 0 ) );
    groupBox2Layout->addWidget( textLabel4 );
    Widget9Layout->addWidget( groupBox2 );
    spacer2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Widget9Layout->addItem( spacer2 );
    tabWidget->insertTab( Widget9, QString::fromLatin1("") );
    wndbrowserLayout->addWidget( tabWidget );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );
    wndbrowserLayout->addLayout( Layout1 );
    languageChange();
    resize( QSize(624, 513).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( filter, SIGNAL( textChanged(const QString&) ), this, SLOT( filter_textChanged(const QString&) ) );
    connect( install, SIGNAL( clicked() ), this, SLOT( install_clicked() ) );
    connect( Username, SIGNAL( textChanged(const QString&) ), this, SLOT( Username_textChanged(const QString&) ) );
    connect( Mirror, SIGNAL( textChanged(const QString&) ), this, SLOT( Mirror_textChanged(const QString&) ) );
    connect( lineEdit3, SIGNAL( textChanged(const QString&) ), this, SLOT( lineEdit3_textChanged(const QString&) ) );
    connect( update, SIGNAL( clicked() ), this, SLOT( update_clicked() ) );
    connect( themelist, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( themelist_selectionChanged(QListViewItem*) ) );
    connect( remove, SIGNAL( clicked() ), this, SLOT( remove_clicked() ) );
    connect( apply, SIGNAL( clicked() ), this, SLOT( apply_clicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
wndbrowser::~wndbrowser()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void wndbrowser::languageChange()
{
    setCaption( tr2i18n( "KXDocker Theme browser" ) );
    groupBox4->setTitle( tr2i18n( "Themes" ) );
    themelist->header()->setLabel( 0, tr2i18n( "Updated" ) );
    themelist->header()->setLabel( 1, tr2i18n( "Type" ) );
    themelist->header()->setLabel( 2, tr2i18n( "Name" ) );
    groupBox5->setTitle( tr2i18n( "About" ) );
    theme_info->setText( tr2i18n( "Name" ) );
    theme_mail->setText( tr2i18n( "Author" ) );
    theme_preview->setText( tr2i18n( "Preview" ) );
    install->setText( tr2i18n( "Install" ) );
    install->setAccel( QKeySequence( QString::null ) );
    apply->setText( tr2i18n( "Appl&y" ) );
    apply->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    remove->setText( tr2i18n( "Remo&ve" ) );
    remove->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    info->setText( QString::null );
    groupBox3->setTitle( tr2i18n( "Updates" ) );
    update->setText( tr2i18n( "Updat&e now" ) );
    update->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    textLabel9->setText( tr2i18n( "added themes" ) );
    textLabel7->setText( tr2i18n( "available themes" ) );
    lastupdate->setText( tr2i18n( "01-01-2006 12:00" ) );
    count->setText( tr2i18n( "0" ) );
    nuovi->setText( tr2i18n( "0" ) );
    tabWidget->changeTab( Widget8, tr2i18n( "Theme&s" ) );
    groupBox1->setTitle( tr2i18n( "Connection details" ) );
    textLabel2->setText( tr2i18n( "Username" ) );
    textLabel1->setText( tr2i18n( "Themes mirror" ) );
    Mirror->clear();
    Mirror->insertItem( tr2i18n( "http://www.xiaprojects.com/www/prodotti/kxdocker" ) );
    Mirror->setCurrentItem( 0 );
    textLabel3->setText( tr2i18n( "Password" ) );
    groupBox2->setTitle( tr2i18n( "Installer" ) );
    textLabel4->setText( tr2i18n( "Target install folder" ) );
    tabWidget->changeTab( Widget9, tr2i18n( "Confi&gure" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setText( tr2i18n( "O&K" ) );
    buttonOk->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
}

void wndbrowser::filter_textChanged(const QString&)
{
    qWarning( "wndbrowser::filter_textChanged(const QString&): Not implemented yet" );
}

void wndbrowser::install_clicked()
{
    qWarning( "wndbrowser::install_clicked(): Not implemented yet" );
}

void wndbrowser::Username_textChanged(const QString&)
{
    qWarning( "wndbrowser::Username_textChanged(const QString&): Not implemented yet" );
}

void wndbrowser::Mirror_textChanged(const QString&)
{
    qWarning( "wndbrowser::Mirror_textChanged(const QString&): Not implemented yet" );
}

void wndbrowser::lineEdit3_textChanged(const QString&)
{
    qWarning( "wndbrowser::lineEdit3_textChanged(const QString&): Not implemented yet" );
}

void wndbrowser::update_clicked()
{
    qWarning( "wndbrowser::update_clicked(): Not implemented yet" );
}

void wndbrowser::themelist_selectionChanged(QListViewItem*)
{
    qWarning( "wndbrowser::themelist_selectionChanged(QListViewItem*): Not implemented yet" );
}

void wndbrowser::remove_clicked()
{
    qWarning( "wndbrowser::remove_clicked(): Not implemented yet" );
}

void wndbrowser::apply_clicked()
{
    qWarning( "wndbrowser::apply_clicked(): Not implemented yet" );
}

#include "wnd_browse_themes.moc"
